सामग्री पर जाएँ

MiniMax (Hailuo AI) Video 01 Director - Image to Video

इंटीग्रेट करें

मॉडल id minimax/video-01-director/image-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/minimax/video-01-director/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: $0.50 500 API क्रेडिट इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
MiniMax इमेज से वीडियो #motion#transformation#camera-controls

Video 01 Director इमेज-टू-वीडियो: कैमरा मूवमेंट टैग के साथ पहली-फ्रेम इमेज को एनिमेट करता है

MiniMax · वीडियो

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक 88 / 2000

वीडियो-निर्माण प्रॉम्प्ट, जो वर्गाकार कोष्ठकों में अधिकतम 3 कैमरा मूवमेंट जोड़ सकता है, जैसे [Pan left], [Zoom in], या [Truck left, Pan right, Zoom in]। उपलब्ध मूवमेंट हैं Static shot, Tracking shot, Shake, Zoom in/out, Tilt up/down, Pedestal up/down, Push in/Pull out, Pan left/right, और Truck left/right। विस्तृत कैमरा-मूवमेंट गाइड https://sixth-switch-2ac.notion.site/T2V-01-Director-Model-Tutorial-with-camera-movement-1886c20a98eb80f395b8e05291ad8645 पर उपलब्ध है।

•आवश्यक image_url
फ़ाइल ड्रॉप करें, या

शुरुआती फ़्रेम प्रदान करने वाला इमेज URL।

उन्नत enable_safety_checker · prompt_optimizer
POST /run/minimax/video-01-director/image-to-video?wait=20 कोटेशन → $0.50
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/minimax/video-01-director/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

MiniMax (Hailuo AI) Video 01 Director - Image to Video के बारे में

पहली फ़्रेम के रूप में उपयोग की गई `image_url` में दी गई स्थिर इमेज को अधिकतम 2000 अक्षरों के टेक्स्ट प्रॉम्प्ट के अनुसार एनिमेट करता है। कैमरा मूवमेंट [Pan left] या [Zoom in] जैसे वर्गाकार कोष्ठकों में लिखे जा सकते हैं; प्रत्येक प्रॉम्प्ट में अधिकतम 3 संयुक्त मूवमेंट की अनुमति है। `prompt_optimizer` डिफ़ॉल्ट रूप से चालू है।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
enable_safety_checkerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
यदि कॉलर अधिकृत है, तो false सेट करके स्क्रीनिंग में ढील दी जा सकती है।
promptआवश्यक
प्रकारstring
≤ 2,000 अक्षर
वीडियो-निर्माण प्रॉम्प्ट, जो वर्गाकार कोष्ठकों में अधिकतम 3 कैमरा मूवमेंट जोड़ सकता है, जैसे [Pan left], [Zoom in], या [Truck left, Pan right, Zoom in]। उपलब्ध मूवमेंट हैं Static shot, Tracking shot, Shake, Zoom in/out, Tilt up/down, Pedestal up/down, Push in/Pull out, Pan left/right, और Truck left/right। विस्तृत कैमरा-मूवमेंट गाइड https://sixth-switch-2ac.notion.site/T2V-01-Director-Model-Tutorial-with-camera-movement-1886c20a98eb80f395b8e05291ad8645 पर उपलब्ध है।
image_urlआवश्यक image
प्रकारurl · image
शुरुआती फ़्रेम प्रदान करने वाला इमेज URL।
prompt_optimizerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
मॉडल के प्रॉम्प्ट optimizer को सक्रिय करना।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "minimax/video-01-director/image-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 500,
    "usd": "0.50",
    "charged": 500,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
video
object {url, content_type, file_name, file_size}मॉडल द्वारा निर्मित वीडियो।

और मॉडल: इमेज से वीडियो

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/minimax/video-01-director/image-to-video.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt